/**
THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH CODING 
INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME. 
AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR 
CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF SUCH FIRMWARE 
AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION 
WITH THEIR PRODUCTS.
*/
package com.phoceis.STdatalogger;

import java.util.ArrayList;
import java.util.List;

import android.app.Application;
import android.nfc.Tag;

public class myApplication extends Application {
	
	private Tag currentTag;
	private byte currentDelay;
	private byte currentOverwrite;
	private int nbOfAcquiredTemp;
	private double currentTemp;
	private float maxTemp;
	private float minTemp;
	private float avgTemp;
	private ArrayList<double[]> arrayTemp ;
	private ArrayList<double[]> arrayAxis ;
	private byte[] configuration;
	private boolean dataCorrupted;
	private boolean graphDownloadedOnceWithoutError= false;

	public boolean isGraphDownloadedOnceWithoutError() {
		return graphDownloadedOnceWithoutError;
	}


	public void setGraphDownloadedOnceWithoutError(
			boolean graphDownloadedOnceWithoutError) {
		this.graphDownloadedOnceWithoutError = graphDownloadedOnceWithoutError;
	}


	public byte[] getConfiguration() {
		return configuration;
	}


	public void setConfiguration(byte[] configuration) {
		this.configuration = configuration;
	}
	

	public boolean isDataCorrupted() {
		return dataCorrupted;
	}


	public void setDataCorrupted(boolean dataCorrupted) {
		this.dataCorrupted = dataCorrupted;
	}


	public void addArrayAxis (double[] array)
	{
		arrayAxis.add(array);
	}
	
	
	public void clearArrayAxis()
	{
		this.arrayAxis.clear();
	}

	public List<double[]> getArrayAxis() {
		return arrayAxis;
	}

	public void setArrayAxis(ArrayList<double[]> ArrayAxis) {
		arrayAxis = ArrayAxis;
	}

	public void clearArrayTemp ()
	{
		this.arrayTemp.clear();
	}
	
	public ArrayList<double[]> getArrayTemp() {
		return arrayTemp;
	}

	public void setArrayTemp(ArrayList<double[]> arrayTemp) {
		this.arrayTemp = arrayTemp;
	}

	public int getNbOfAcquiredTemp() {
		return nbOfAcquiredTemp;
	}

	public void setNbOfAcquiredTemp(int nbOfAcquiredTemp) {
		this.nbOfAcquiredTemp = nbOfAcquiredTemp;
	}

	public float getMaxTemp() {
		return maxTemp;
	}

	public double getCurrentTemp() {
		return currentTemp;
	}

	public void setCurrentTemp(double currentTemp) {
		this.currentTemp = currentTemp;
	}

	public float getAvgTemp() {
		return avgTemp;
	}

	public void setAvgTemp(float avgTemp) {
		this.avgTemp = avgTemp;
	}

	public void setMaxTemp(float maxTemp) {
		this.maxTemp = maxTemp;
	}

	public float getMinTemp() {
		return minTemp;
	}

	public void setMinTemp(float minTemp) {
		this.minTemp = minTemp;
	}

	public byte getCurrentOverwrite() {
		return currentOverwrite;
	}

	public void setCurrentOverwrite(byte currentOverwrite) {
		this.currentOverwrite = currentOverwrite;
	}

	public byte getCurrentDelay() {
		return currentDelay;
	}

	public void setCurrentDelay(byte currentDelay) {
		this.currentDelay = currentDelay;
	}

	public Tag getCurrentTag() {
		return currentTag;
	}

	public void setCurrentTag(Tag currentTag) {
		this.currentTag = currentTag;
	}

	
	
	

}
